classification
Title: test_ldshared_value failure on OS X using python.org Pythons
Type: Stage: resolved
Components: Build, macOS, Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: ned.deily, python-dev, ronaldoussoren
Priority: normal Keywords:

Created on 2012-06-26 06:52 by ned.deily, last changed 2012-07-22 10:12 by ned.deily. This issue is now closed.

Messages (6)
msg164049 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-06-26 06:52
======================================================================
FAIL: test_ldshared_value (test.test_sysconfig.TestSysConfig)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/test/test_sysconfig.py", line 288, in test_ldshared_value
    self.assertIn(ldflags, ldshared)
AssertionError: '-arch i386 -arch x86_64   -g -L/tmp/_py/libraries/usr/local/lib' not found in 'gcc-4.2 -bundle -undefined dynamic_lookup -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk -isysroot /Developer/SDKs/MacOSX10.6.sdk -g -L/tmp/_py/libraries/usr/local/lib'

----------------------------------------------------------------------


There is code in Mac/BuildScript/build-installer.py to remove the temporary build library path (/tmp/_py/libraries/usr/local/lib) from the Makefile after the build is complete and before the files are packaged.  In 3.3 there is now also a Makefile cache file, _sysconfigdata.py, which is produced as a build target.  build-installer.py needs to learn how to clean it up as well.
msg165284 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-07-12 07:21
The resolution of this test failure is dependent on the resolution of Issue15298, which will change the approach needed.  Since this is a relatively minor issue, I don't think there is a need for a interim fix.
msg166049 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-07-21 17:52
New changeset cd883160ad97 by Ned Deily in branch 'default':
Issue #15188: Modify the OS X build_installer script to remove temporary
http://hg.python.org/cpython/rev/cd883160ad97
msg166050 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-07-21 17:57
Pending the final resolution of Issue15298, this changes ensures that the temporary build paths do not leak into the installed interpreter.  At the moment, the test is still failing because the CFLAGS values returned by the two sysconfigs differ in whitespace.
msg166105 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-07-22 07:47
New changeset f4470babf79b by Ned Deily in branch 'default':
Issue #15188: Prevent test_ldshared_value failure due to slightly
http://hg.python.org/cpython/rev/f4470babf79b
msg166117 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-07-22 10:12
With the changes here along with the fixes in Issue15184, I'm declaring this resolved for 3.3.  If and when _sysconfigdata.py gets moved, build-installer.py will need to be tweaked.
History
Date User Action Args
2012-07-22 10:12:16ned.deilysetstatus: open -> closed
messages: + msg166117

dependencies: - _sysconfigdata is generated in srcdir, not builddir
resolution: fixed
stage: needs patch -> resolved
2012-07-22 07:47:19python-devsetmessages: + msg166105
2012-07-21 17:57:39ned.deilysetmessages: + msg166050
2012-07-21 17:52:02python-devsetnosy: + python-dev
messages: + msg166049
2012-07-12 07:30:00ned.deilysetdependencies: + _sysconfigdata is generated in srcdir, not builddir
2012-07-12 07:21:41ned.deilysetpriority: high -> normal

messages: + msg165284
components: + Tests
stage: needs patch
2012-06-26 06:52:26ned.deilycreate